> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Warrants

> Lists warrants with configuration name, investor, tags, status flags, dates and settled-unlock percentage.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/list-warrants
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/list-warrants:
    get:
      operationId: listWarrants
      summary: List Warrants
      description: >-
        Lists warrants with configuration name, investor, tags, status flags,
        dates and settled-unlock percentage.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orderBy
          in: query
          required: false
          schema:
            type: string
            enum:
              - issueDate
              - warrantName
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWarrantsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListWarrantsResponse:
      type: array
      items:
        type: object
        properties:
          warrantID:
            type:
              - string
              - 'null'
          warrantName:
            type:
              - string
              - 'null'
          warrantAmount:
            type:
              - number
              - 'null'
          warrantStatus:
            type:
              - string
              - 'null'
          warrantConfigurationName:
            type:
              - string
              - 'null'
          purchasePrice:
            type:
              - number
              - 'null'
          lockupPeriodMonths:
            type:
              - number
              - 'null'
          totalValue:
            type:
              - number
              - 'null'
          agreementSignedAt:
            type:
              - string
              - 'null'
          exerciseNoticeSignedAt:
            type:
              - string
              - 'null'
          paidAt:
            type:
              - string
              - 'null'
          settledAt:
            type:
              - string
              - 'null'
          firmName:
            type:
              - string
              - 'null'
          issueDate:
            type:
              - string
              - 'null'
          expirationDate:
            type:
              - string
              - 'null'
          lockupFrequencyType:
            type:
              - string
              - 'null'
          investorFullName:
            type:
              - string
              - 'null'
          investorEmail:
            type:
              - string
              - 'null'
          tags:
            type:
              - array
              - 'null'
            items:
              type: string
          isExercised:
            type:
              - boolean
              - 'null'
          isOffPlatform:
            type:
              - boolean
              - 'null'
          isPaid:
            type:
              - boolean
              - 'null'
          isSigned:
            type:
              - boolean
              - 'null'
          isUnderLockup:
            type:
              - boolean
              - 'null'
          unlockedPercentage:
            type:
              - number
              - 'null'
          investorEntityID:
            type:
              - string
              - 'null'
          investorEntityName:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
